Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 825841 - XCCDF results should always comprise <score> element
Summary: XCCDF results should always comprise <score> element
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openscap
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Peter Vrabec
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 825843
TreeView+ depends on / blocked
 
Reported: 2012-05-28 17:07 UTC by Šimon Lukašík
Modified: 2012-12-11 11:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 825843 (view as bug list)
Environment:
Last Closed: 2012-12-11 11:18:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Šimon Lukašík 2012-05-28 17:07:56 UTC
Description of problem:
Consider XCCDF document without 'Profile' element.

When evaluating such document openscap does not generate <xccdf:score>
element. Acording to standard, the result is not valid XCCDF.

Version-Release number of selected component (if applicable):
openscap-0.8.0-2.el6

How reproducible:
Deterministic.

Steps to Reproduce:
1. Get content at http://isimluk.fedorapeople.org/sw_openscap/content/
2. # oscap xccdf eval --results /tmp/invalid-output.xml first_xccdf.xml
3.
  
Actual results:
1 1871 In file '/tmp/invalid-output.xml' on line 40: Element '{http://checklists.nist.gov/xccdf/1.1}TestResult': Missing child element(s). Expected is one of ( {http://checklists.nist.gov/xccdf/1.1}rule-result, {http://checklists.nist.gov/xccdf/1.1}score ).
XCCDF Results are NOT exported correctly.

Expected results:
The tool generates valid xccdf.

Additional info:
According to Martin, this has been fixed upstream.

Comment 1 Šimon Lukašík 2012-05-28 17:10:08 UTC
This, together with bug 825839 might cause some headache to Spacewalk users.

Comment 2 RHEL Product and Program Management 2012-07-10 08:09:42 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 3 RHEL Product and Program Management 2012-07-11 01:45:16 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 5 Peter Vrabec 2012-12-11 11:18:17 UTC
$ ./oscap-local.sh .libs/oscap xccdf eval --results /tmp/invalid-output.xml ~/first_xccdf.xml
Title   Verify All Account Password Hashes are Shadowed
Rule    no_hashes_outside_shadow
Ident   CCE-14300-8
Result  pass

$ ./oscap-local.sh .libs/oscap xccdf  validate /tmp/invalid-output.xml


It works for me with openscap 0.9.2.


Note You need to log in before you can comment on or make changes to this bug.